.flowers{
    margin-left: 3em;
    margin-bottom: 3em;
    padding: 1em;
}

#flowers{
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 10em;
}

#flowers>div>a{
    text-decoration: none;
    color: gray;
}

#flower-column{
    margin-left: auto;
    margin-right: auto;
}

.flower-wrapper{
}

.product-image{
    position: relative;
    margin-left: auto;
    margin-right: auto;
    /*background-color: lightgray;*/
    width: 100%;
    height: auto;
    border-radius: 0.5rem;
    z-index: 10;
    /*opacity: 0.7;*/
}

#flower-name{

}

.mobile:hover #flower-name>span,
.mobile:focus #flower-name>span,
.mobile:hover #flower-wrappers-name>span,
.mobile:focus #flower-wrappers-name>span{
    color: black;
    border-bottom: 1px solid black;
}

#flower-name>span:hover,
#flower-name>span:focus,
#flower-wrappers-name>span:hover,
#flower-wrappers-name>span:focus{
    color: black;
    border-bottom: 1px solid black;
}

#flower-name>span,
#flower-wrappers-name>span{
    font-family: "El Messiri", sans-serif;
    position: absolute;
    width: auto;
    height: 1.18em;
    margin-top: -3em;
    margin-left: 1em;
    font-size: 3em;
    color: white;
    z-index: 20000;
    border-bottom: 1px solid white;
}

#flower-wrappers-name>span{
    margin-top: -4.2em;
    margin-left: -2em;
}


@media (max-width: 801px) {
    .flowers{
        margin: 0;
        padding: 4em;
    }

    .mobile{
        margin-bottom: 11em;
    }

    /*#flower-name{*/
    /*    margin-top: -3em;*/
    /*    !*background-color: #fbd9e1;*!*/
    /*    font-size: 1.5em;*/
    /*    border-radius: 1rem;*/
    /*}*/

    #flower-name>span:hover, #flower-name>span:focus, #flower-wrappers-name>span:hover, #flower-wrappers-name>span:focus{
        color: black;
        border-bottom: 1px solid black;
    }

    #flower-name>span, #flower-wrappers-name>span{
        font-family: "El Messiri", sans-serif;
        position: absolute;
        width: auto;
        height: 1.18em;
        margin-top: -3.5em;
        margin-left: -.1em;
        font-size: 1.5em;
        color: white;
        border-bottom: 1px solid white;
    }
    #flower-name>span{
        margin-top: -3.5em;
        margin-left: 0;
    }

   #flower-wrappers-name>span{
        margin-top: -3.5em;
        margin-left: -2em;
    }


    .product-image{
        height: auto;
    }
}



